| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PrimvarRefiner Class Reference

`#include <primvarRefiner.h>`

Inheritance diagram for PrimvarRefiner:

## Public Member Functions
| PrimvarRefiner (TopologyRefiner const &refiner)
Public Member Functions inherited from PrimvarRefinerReal< float >
| PrimvarRefinerReal (TopologyRefiner const &refiner)
| ~PrimvarRefinerReal ()
TopologyRefiner const & | GetTopologyRefiner () const
void | Interpolate (int level, T const &src, U &dst) const
| Apply vertex interpolation weights to a primvar buffer for a single level of refinement.
void | InterpolateVarying (int level, T const &src, U &dst) const
| Apply only varying interpolation weights to a primvar buffer for a single level of refinement.
void | InterpolateFaceUniform (int level, T const &src, U &dst) const
| Refine uniform (per-face) primvar data between levels.
void | InterpolateFaceVarying (int level, T const &src, U &dst, int channel=0) const
| Apply face-varying interpolation weights to a primvar buffer associated with a particular face-varying channel.
void | Limit (T const &src, U &dstPos) const
| Apply limit weights to a primvar buffer.
void | Limit (T const &src, U &dstPos, U1 &dstTan1, U2 &dstTan2) const
void | LimitFaceVarying (T const &src, U &dst, int channel=0) const

## Detailed Description

Definition at line 1260 of file primvarRefiner.h.

## Constructor & Destructor Documentation

## ◆ PrimvarRefiner()

PrimvarRefiner | ( | TopologyRefiner const & | refiner | ) |
| inline

Definition at line 1262 of file primvarRefiner.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/primvarRefiner.h